# Sets structure so new game can't be attempted
# START
fill -5 160 1 -5 162 -1 barrier
setblock -9 161 -2 concrete 4
setblock -7 161 -2 concrete 4
setblock -5 161 -2 concrete 4
setblock -5 161 0 concrete 4
setblock -9 161 0 concrete 4
setblock -7 161 2 concrete 4
setblock -5 161 2 concrete 4
setblock -9 161 2 concrete 4
fill -5 161 2 -9 161 -2 concrete 15 replace air
fill -5 161 2 -9 161 -2 concrete 15 replace barrier
fill -8 161 -1 -6 161 1 air

# JOIN
setblock -2 161 -8 concrete 4
setblock 0 161 -8 concrete 4
setblock 2 161 -8 concrete 4
setblock -2 161 -6 concrete 4
setblock 2 161 -6 concrete 4
setblock -2 161 -4 concrete 4
setblock 0 161 -4 concrete 4
setblock 2 161 -4 concrete 4
fill -2 161 -8 2 161 -4 concrete 15 replace air
fill -2 161 -8 2 161 -4 concrete 15 replace barrier
fill 1 161 -5 -1 161 -7 air

tag @a remove deathswap_standing_to_start
clear @a[scores={deathswap_team=1}]
effect @a[scores={deathswap_team=1}] clear
effect @a[scores={deathswap_team=1}] saturation 120 100 true
effect @a[scores={deathswap_team=1}] instant_health 1 10 true
effect @a[scores={deathswap_team=1}] resistance 30 10 true
kill @e[type=item]
gamemode survival @a[scores={deathswap_team=1}]

scoreboard players set @a[scores={deathswap_team=1}] deathswap_team 3
execute @a[scores={deathswap_team=3}] ~ ~ ~ function deathswap_ultimate/spread/start

execute @a[scores={deathswap_team=3}] ~ ~ ~ function deathswap_ultimate/recurse_down
execute @a[scores={deathswap_team=3}] ~ ~ ~ fill ~1 ~-1 ~1 ~-1 ~-1 ~-1 obsidian 0 replace lava
execute @a[scores={deathswap_team=3}] ~ ~ ~ fill ~1 ~-1 ~1 ~-1 ~-1 ~-1 ice 0 replace water
execute @a[scores={deathswap_team=3}] ~ ~ ~ detect 1 158 0 powered_comparator -1 clone 3 160 0 3 160 0 ~ ~ ~
execute @a[scores={deathswap_team=3}] ~ ~ ~ detect 1 158 0 powered_comparator -1 fill ~ ~ ~ ~ ~ ~ air 0 destroy

kill @e[type=item,name="Trapped Chest"]

scoreboard players set state deathswap_main 2
scoreboard players set timer deathswap_main 1
effect @a[scores={deathswap_team=2}] invisibility 1000000 0 true
clear @a[scores={deathswap_team=2}]

tellraw @a {"rawtext":[{"text":"§6The game of Deathswap Ultimate has begun. Best of luck!§r"}]}